Package com.independentsoft.office.themes

# Class ThemeElements

java.lang.Object
com.independentsoft.office.themes.ThemeElements

public class ThemeElements extends Object
The Class ThemeElements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeElements()`
  Instantiates a new theme elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ThemeElements`
  `clone()`
  `ColorScheme`
  `getColorScheme()`
  Gets the color scheme.
  `FontScheme`
  `getFontScheme()`
  Gets the font scheme.
  `FormatScheme`
  `getFormatScheme()`
  Gets the format scheme.
  `void`
  `setColorScheme​(ColorScheme colorScheme)`
  Sets the color scheme.
  `void`
  `setFontScheme​(FontScheme fontScheme)`
  Sets the font scheme.
  `void`
  `setFormatScheme​(FormatScheme formatScheme)`
  Sets the format scheme.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ThemeElements

    public ThemeElements()
    Instantiates a new theme elements.

- ## Method Details

  - ### clone

    public ThemeElements clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorScheme

    public ColorScheme getColorScheme()
    Gets the color scheme.
    Returns:
      the color scheme

  - ### setColorScheme

    public void setColorScheme​(ColorScheme colorScheme)
    Sets the color scheme.
    Parameters:
      `colorScheme` - the new color scheme

  - ### getFormatScheme

    public FormatScheme getFormatScheme()
    Gets the format scheme.
    Returns:
      the format scheme

  - ### setFormatScheme

    public void setFormatScheme​(FormatScheme formatScheme)
    Sets the format scheme.
    Parameters:
      `formatScheme` - the new format scheme

  - ### getFontScheme

    public FontScheme getFontScheme()
    Gets the font scheme.
    Returns:
      the font scheme

  - ### setFontScheme

    public void setFontScheme​(FontScheme fontScheme)
    Sets the font scheme.
    Parameters:
      `fontScheme` - the new font scheme